=== modules/lib/jython/Lib/jxxload_help/Makefile ===
include ../../Misc/make.rules
CLASSPATH = ../..:..
