## aspectj 1.6.6+dfsg

=== debian/changelog ===
aspectj (1.6.6+dfsg-4) unstable; urgency=low

  [ Torsten Werner ]
  * Remove Thomas Girard from Uploaders.
  * Change maintainers into Maintainers.

  [ Damien Raude-Morvan ]
  * Upload to unstable (fix FTBFS)
  * Drop usage of gjdoc (use default-jdk javadoc tool)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Apr 2010 20:21:51 +0200

aspectj (1.6.6+dfsg-3) unstable; urgency=low

  * Add Maven support:
    - debian/control: Build-Depends on maven-repo-helper
    - debian/rules: Use mh_installpoms and mh_installjar
    - Remove debian/aspectj.install
  * debian/README.source: Remove stuff about quilt

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 21 Mar 2010 00:18:12 +0100

aspectj (1.6.6+dfsg-2) unstable; urgency=low

  * Fix FTBFS (fix ant.lib.path declaration):
    - New ant_0_8_fix.diff patch (Closes: #571341).
  * Updated Standards-Version to 3.8.4 (no changes needed).
  * Use 3.0 (quilt) source format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 27 Feb 2010 14:24:57 +0100

aspectj (1.6.6+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Update 02_use_gjdoc.diff patch
  * Update my email address

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 04 Oct 2009 16:37:23 +0200

aspectj (1.6.5+dfsg-1) unstable; urgency=low

  [ Thomas Girard ]
  * Move to main. Closes: #480132.
  * Build-Depend on default-jdk.

  [ Damien Raude-Morvan ]
  * Add myself to Uploaders
  * Updated Standards-Version to 3.8.3:
    - Describe quilt patch system in README.source
    - Move "aspectj" package to "java" section
  * Switch to quilt to manage patches:
    - Use patchsys-quilt.mk in debian/rules
    - Build-Depends on quilt
    - Refresh all patches
  * Extends bootstrap.xml script:
    - Rebuild jdtcore-for-aspectj.jar from jdtcore-for-aspectj-src.zip
      Build-Depends on eclipse-platform
    - Bootstrap using aspectj itself for modules/lib/aspectj/lib/*.jar
      Build-Depends on aspectj
    - Rebuild and overwrite build.jar
  * New 05_build_classpath patch to build AJDT
  * Add Build-Depends on libasm3-java, eclipse-platform, gjdoc and html2text
  * Create a DFSG orig tarballs:
    - Describe removed bits in debian/README.source
    - Describe embedded code copies in debian/copyright
  * debian/watch: mangle debian version to remove "+dfsg"
  * Complete review of debian/copyright
  * Use debhelper >= 7
  * Register documentations using doc-base

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 18 Aug 2009 20:48:47 +0200

aspectj (1.5.4-1) unstable; urgency=low

  [ Michael Koch ]
  * New upstream version. Closes: #459363
  * Updated Standards-Version to 3.7.3.
  * Added myself to Uploaders.

  [ Thomas Girard ]
  * Add Homepage: control field, and convert XS-Vcs-* to Vcs-*.

  [ Mark Howard ]
  * debian/watch: added.

 -- Michael Koch <konqueror@gmx.de>  Sat, 05 Jan 2008 23:31:47 -0100

aspectj (1.5.3-1) unstable; urgency=low

  * New maintainer. Closes: #352521.
  * New upstream release. Closes: #286087.
  * AspectJ 5 builds cleanly with gcj. Closes: #397559.
  * Bump debhelper level to 5.
  * Convert debian/rules to cdbs.
  * Build manpages from the DocBook documentation.
  * Install wrapper scripts for ajdoc, aj, and aj5.
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Update debian/copyright.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 19 Aug 2007 12:16:17 +0200

aspectj (1.1.1-2) unstable; urgency=low

  * QA upload orphaning the package.
  * Use debhelper 4.
  * Bump Standards-Version (no change).

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jun 2006 12:43:40 +0200

aspectj (1.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Allow building with blackdown-j2sdk1.4 and ibm-j2sdk1.4
    (Closes: #306661, #274833).
  * Fix maintainer address (Closes: #330744).
  * Fix description typos (Closes: #249592).

 -- Christoph Berg <myon@debian.org>  Sun, 12 Feb 2006 14:45:25 +0100

aspectj (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Takashi Okamoto <tora@debian.org>  Mon,  3 May 2004 18:51:19 +0900

aspectj (1.0.6-2) unstable; urgency=low

  * Recompile to fix breakage.
  * New maintainer.

 -- James LewisMoss <dres@debian.org>  Mon, 19 Aug 2002 10:37:21 -0400

aspectj (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Takashi Okamoto <tora@debian.org>  Sat, 27 Jul 2002 14:17:29 +0900

aspectj (1.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Takashi Okamoto <tora@debian.org>  Fri, 21 Jun 2002 16:38:31 +0900
