=== debian/control ===
Source: aspectj
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
 junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), aspectj, html2text, maven-repo-helper
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
Homepage: http://www.eclipse.org/aspectj

Package: aspectj
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless
Description: A seamless aspect-oriented extension for Java
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.

Package: aspectj-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: aspect-oriented extension for Java - documentation
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the documentation for aspectj.
