## aspectj 1.6.9+dfsg

=== debian/changelog ===
aspectj (1.6.9+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.0 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 07 Jul 2010 00:34:32 +0200
