=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
 Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
  junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), aspectj, html2text, maven-repo-helper
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
 Homepage: http://www.eclipse.org/aspectj
