## aspectj 1.6.11+dfsg

=== debian/changelog ===
aspectj (1.6.11+dfsg-2) unstable; urgency=low

  * Readd B-D on itself (libaspectj-java) since the bootstrap phase still
    need part of iajc ant task to build everything (Closes: #628322).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 28 May 2011 22:08:47 +0200

aspectj (1.6.11+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.1 (no changes needed).
  * Fix local Javadoc links:
    - d/patches/07_javadoc_links.diff: Use locally installed
     javadoc packages and hyperlink with them.
    - d/control: Add B-D on default-java-doc and libasm3-java-doc.
  * d/control: Drop B-D on itself (our new bootstrap infrastructure doesn't need
    that anymore).
  * Split packages into :
    - aspectj: only contains CLI tools.
    - libaspectj-java: JAR librairies for /usr/share/java.
    - libaspectj-java-doc: 4 API's Javadoc.
    - aspectj-doc: Programming Guides and SDK Documentation.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 15 Mar 2011 23:54:31 +0100
