=== debian/control ===
Source: aspectj
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
 junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), html2text, maven-repo-helper, default-jdk-doc,
 libasm3-java-doc, libaspectj-java
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
Homepage: http://www.eclipse.org/aspectj

Package: aspectj
Architecture: all
Depends: ${misc:Depends}, libaspectj-java (= ${source:Version}),
 default-jre-headless | java2-runtime-headless
Description: aspect-oriented extension for Java - tools
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the CLI tools of aspectj (aj5, ajc, ajbrowser).

Package: libaspectj-java
Architecture: all
Replaces: aspectj (<< 1.6.10+dfsg-1)
Conflicts: aspectj (<< 1.6.10+dfsg-1)
Depends: ${misc:Depends}
Suggests: aspectj
Description: aspect-oriented extension for Java - library
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the JAR libraries of aspectj.

Package: aspectj-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libaspectj-java-doc
Description: aspect-oriented extension for Java - documentation
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides AspectJ Programming Guide, Diagnosis Guide and
 Development Environment Guide and Development Kit Developer's Notebook.

Package: libaspectj-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc, libasm3-java-doc
Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
Suggests: aspectj-doc
Description: aspect-oriented extension for Java - API documentation
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the Javadoc of JAR libraries of aspectj.
