=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,6 @@
 AJ_BCEL_HOME := $(MODULES)/lib/bcel
 AJ_ASM_HOME := $(MODULES)/lib/asm
 AJ_JROCKIT_HOME := $(MODULES)/lib/ext/jrockit
-
-AJ_BOOT_HOME := $(MODULES)/lib/aspectj
-AJ_BOOT_JARS := aspectjlib.jar aspectjrt.jar aspectjtools.jar
 
 VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+dfsg//')
 
@@ -76,12 +73,6 @@
 	# Setup our local.properties
 	cp debian/local.properties $(MODULES)/build
 
-	# bootstrap using aspectj itself
-	$(MKDIR) $(AJ_BOOT_HOME)
-	for f in $(AJ_BOOT_JARS) ; do \
-	   $(LN_S) /usr/share/java/$$f $(AJ_BOOT_HOME)/lib ; \
-	done
-
 	# asm3
 	$(MKDIR) $(AJ_ASM_HOME)
 	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.1.jar
@@ -109,14 +100,16 @@
 	for f in $(AJ_SCRIPTS) ; do \
 	   dh_install $$f /usr/bin ; \
 	done
-	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjrt.pom
-	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjrt.pom \
+
+install/libaspectj-java::
+	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjrt.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjrt.pom \
 		org.aspectj/modules/aj-build/dist/tools/lib/aspectjrt.jar
-	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjtools.pom
-	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjtools.pom \
+	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjtools.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjtools.pom \
 		org.aspectj/modules/aj-build/dist/tools/lib/aspectjtools.jar
-	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjweaver.pom
-	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjweaver.pom \
+	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjweaver.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjweaver.pom \
 		org.aspectj/modules/aj-build/dist/tools/lib/aspectjweaver.jar
 
 install/aspectj-doc::
