## aspectj 1.6.12%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
+Uploaders: Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
 Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
  junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), html2text, maven-repo-helper, default-jdk-doc,
