## aspectj 1.6.12+dfsg

=== debian/changelog ===
aspectj (1.6.12+dfsg-3) unstable; urgency=low

  * Add a published Maven rule to help packagers (Closes: #654318).
  * Drop Michael Koch from Uploaders. Thanks for all you work !
    (Closes: #653990).

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 05 Jan 2012 00:40:57 +0100

aspectj (1.6.12+dfsg-2) unstable; urgency=low

  [ tony mancill ]
  * Team upload.
  * Apply JDK7 FTBFS patch (Closes: #651238)

 -- tony mancill <tmancill@debian.org>  Sun, 11 Dec 2011 22:23:10 -0800

aspectj (1.6.12+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 03 Dec 2011 02:43:45 +0100
