=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,7 @@
 	# asm3
 	$(MKDIR) $(AJ_ASM_HOME)
 	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.1.jar
+	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.3.1.renamed.jar
 	
 	# eclipse (JDT)
 	$(MKDIR) $(AJ_ECLIPSE_HOME)
