=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.eclipse.org/aspectj/downloads.php .*/tools/aspectj/aspectj-([\d\.]+).jar
