## aspectj 1.8.3

=== debian/changelog ===
aspectj (1.8.3-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 8 (Closes: #757484)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Oct 2014 23:06:58 +0200

aspectj (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * debian/control:
    - Use libasm4-java instead of libasm3-java
    - Standards-Version updated to 3.9.6 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9
  * debian/watch: Watch the Git tags and download the real source tarball
  * Renamed debian/cvs-get.sh to debian/orig-tar.sh and made it work with uscan
  * Use XZ compression for the upstream tarball
  * Keep the bcel-builder module and remove the bcel source archive
    in the upstream tarball
  * Expand the jdt sources in the upstream tarball
  * Modified debian/bootstrap.xml to work on the expanded sources
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Oct 2014 14:57:56 +0200
