=== debian/control ===
--- 
+++ 
@@ -3,19 +3,32 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
-Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
- junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), html2text, maven-repo-helper, default-jdk-doc,
- libasm3-java-doc, libaspectj-java
-Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
+Build-Depends: ant, ant-optional, cdbs, debhelper (>= 9), default-jdk
+Build-Depends-Indep: default-jdk-doc,
+                     docbook-to-man,
+                     docbook-xml,
+                     docbook-xsl,
+                     eclipse-platform (>= 3.4.1),
+                     html2text,
+                     junit (>= 3.8.1),
+                     libasm4-java,
+                     libasm4-java-doc,
+                     libaspectj-java,
+                     libcommons-logging-java,
+                     libregexp-java,
+                     libxalan2-java,
+                     maven-repo-helper,
+                     xsltproc
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/aspectj.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/aspectj.git
 Homepage: http://www.eclipse.org/aspectj
 
 Package: aspectj
 Architecture: all
-Depends: ${misc:Depends}, libaspectj-java (= ${source:Version}),
- default-jre-headless | java2-runtime-headless
+Depends: default-jre-headless | java2-runtime-headless,
+         libaspectj-java (= ${source:Version}),
+         ${misc:Depends}
 Description: aspect-oriented extension for Java - tools
  AspectJ enables the clean modularization of crosscutting concerns
  such as: error checking and handling, synchronization, context-sensitive
@@ -56,7 +69,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: default-jdk-doc, libasm3-java-doc
+Recommends: default-jdk-doc, libasm4-java-doc
 Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
 Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
 Suggests: aspectj-doc
