=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/ant.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java
-MODULES := org.aspectj/modules
+MODULES := .
 DEB_BUILDDIR = $(MODULES)/build
 DEB_ANT_BUILD_TARGET = aspectj
 DEB_JARS = xalan2 ant-junit
@@ -42,7 +42,7 @@
 	docbook-to-man $< > $@
 
 # reuse the DocBook xml documents here to generate manpages.
-debian/%.1: org.aspectj/modules/docs/devGuideDB/%.xml
+debian/%.1: $(MODULES)/docs/devGuideDB/%.xml
 	sh debian/manpage_from.sh $< > $@
 
 .PHONY: bootstrap
@@ -73,10 +73,14 @@
 	# Setup our local.properties
 	cp debian/local.properties $(MODULES)/build
 
-	# asm3
+	# asm5
 	$(MKDIR) $(AJ_ASM_HOME)
-	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.1.jar
-	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.3.1.renamed.jar
+	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.1.jar
+	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.1.renamed.jar
+
+	# regexp
+	$(MKDIR) lib/regexp
+	$(LN_S) /usr/share/java/regexp.jar lib/regexp/regexp.jar
 	
 	# eclipse (JDT)
 	$(MKDIR) $(AJ_ECLIPSE_HOME)
@@ -103,33 +107,41 @@
 	done
 
 install/libaspectj-java::
-	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjrt.pom
-	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjrt.pom \
-		org.aspectj/modules/aj-build/dist/tools/lib/aspectjrt.jar
-	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjtools.pom
-	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjtools.pom \
-		org.aspectj/modules/aj-build/dist/tools/lib/aspectjtools.jar
-	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjweaver.pom
-	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjweaver.pom \
-		org.aspectj/modules/aj-build/dist/tools/lib/aspectjweaver.jar
+	mh_installpom -plibaspectj-java -e$(VERSION) $(MODULES)/build/aspectjrt.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l $(MODULES)/build/aspectjrt.pom \
+		$(MODULES)/aj-build/dist/tools/lib/aspectjrt.jar
+	mh_installpom -plibaspectj-java -e$(VERSION) $(MODULES)/build/aspectjtools.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l $(MODULES)/build/aspectjtools.pom \
+		$(MODULES)/aj-build/dist/tools/lib/aspectjtools.jar
+	mh_installpom -plibaspectj-java -e$(VERSION) $(MODULES)/build/aspectjweaver.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l $(MODULES)/build/aspectjweaver.pom \
+		$(MODULES)/aj-build/dist/tools/lib/aspectjweaver.jar
 
 install/aspectj-doc::
-	mv org.aspectj/modules/docs/dist/doc/changes.html org.aspectj/modules/docs/dist/doc/changelog.html
-	html2text -o org.aspectj/modules/docs/dist/doc/changelog.txt org.aspectj/modules/docs/dist/doc/changelog.html
-	dh_installchangelogs org.aspectj/modules/docs/dist/doc/changelog.html
-	dh_installchangelogs org.aspectj/modules/docs/dist/doc/changelog.txt
+	mv $(MODULES)/docs/dist/doc/changes.html $(MODULES)/docs/dist/doc/changelog.html
+	html2text -o $(MODULES)/docs/dist/doc/changelog.txt $(MODULES)/docs/dist/doc/changelog.html
+	dh_installchangelogs $(MODULES)/docs/dist/doc/changelog.html
+	dh_installchangelogs $(MODULES)/docs/dist/doc/changelog.txt
 
 clean::
+	mh_clean
 	rm -Rf $(AJ_ECLIPSE_HOME)
 	rm -Rf $(AJ_BOOT_HOME)/lib/aspectj*.jar
-	rm -Rf $(AJ_ASM_HOME)/asm-3.1.jar
+	rm -Rf $(AJ_ASM_HOME)/asm-*.jar
+	rm -Rf lib/regexp
 	rm -f $(DEB_BUILDDIR)/local.properties $(AJ_MANPAGES)
 	rm -Rf $(AJ_COMMONS_HOME)
 	rm -Rf $(AJ_JUNIT_HOME)
 	rm -Rf $(AJ_ANT_HOME)
 	rm -Rf $(MODULES)/aj-build
 	-rm -rf debian/tmp
+	rm -Rf lib/bcel/bcel.jar
+	rm -Rf lib/bcel/bcel-verifier.jar
+	rm -Rf bcel-builder/bin
+	rm -Rf lib/bcel/*.zip
+	rm -Rf org.eclipse.jdt.core/classes
+	rm -Rf org.eclipse.jdt.core/jdtcore-for-aspectj.jar
 
 .PHONY: get-orig-source
 get-orig-source:
-	sh debian/cvs-get.sh
+	uscan --download-current-version --rename
