## aspectj 1.8.5

=== debian/changelog ===
aspectj (1.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed the Java 8 compatibility patch (fixed upstream)
  * Improved the reproducibility by using the date of the changelog
    in Version.java

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Apr 2015 22:14:32 +0200
