=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,15 @@
 include /usr/share/cdbs/1/class/ant.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java
+
+# Inject the date from the changelog in Version.java
+DEB_CHANGELOG_DATETIME = $(shell dpkg-parsechangelog --show-field Date)
+DEB_CHANGELOG_DATE_FORMATTED = $(shell date '--date=$(DEB_CHANGELOG_DATETIME)' +'%A %b %d, %Y at %H:%M:%S %Z')
+
 MODULES := .
 DEB_BUILDDIR = $(MODULES)/build
 DEB_ANT_BUILD_TARGET = aspectj
+DEB_ANT_ARGS = '-Dbuild.time=$(DEB_CHANGELOG_DATE_FORMATTED)'
 DEB_JARS = xalan2 ant-junit
 DEB_COMPRESS_EXCLUDE = .pdf .java .xml
