## aspectj 1.8.8

=== debian/changelog ===
aspectj (1.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Build with source/target set to 1.7
    - Updated the link to asm.jar in debian/rules

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 31 Jan 2016 21:51:05 +0100
