=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 Package: aspectj
 Architecture: all
-Depends: default-jre-headless | java2-runtime-headless,
+Depends: default-jre-headless | java7-runtime-headless,
          libaspectj-java (= ${source:Version}),
          ${misc:Depends}
 Description: aspect-oriented extension for Java - tools
