=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/_/./g \
http://git.eclipse.org/c/aspectj/org.aspectj.git/refs/tags .*org.aspectj-([\d_]+).tar.gz debian debian/orig-tar.sh
