## aspectj 1.8.9

=== debian/changelog ===
aspectj (1.8.9-2) unstable; urgency=medium

  * Team upload.
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Standards-Version updated to 3.9.8

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Sep 2016 13:37:58 +0200

aspectj (1.8.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 27 Mar 2016 01:11:44 +0100
