=== debian/control ===
--- 
+++ 
@@ -11,17 +11,17 @@
                      eclipse-platform (>= 3.4.1),
                      html2text,
                      junit (>= 3.8.1),
-                     libasm4-java,
-                     libasm4-java-doc,
+                     libasm-java (>= 5.0),
+                     libasm-java-doc,
                      libaspectj-java,
                      libcommons-logging-java,
                      libregexp-java,
                      libxalan2-java,
                      maven-repo-helper,
                      xsltproc
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/aspectj.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/aspectj.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/aspectj.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/aspectj.git
 Homepage: http://www.eclipse.org/aspectj
 
 Package: aspectj
@@ -69,7 +69,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: default-jdk-doc, libasm4-java-doc
+Recommends: default-jdk-doc, libasm-java-doc
 Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
 Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
 Suggests: aspectj-doc
