=== debian/rules ===
--- 
+++ 
@@ -81,8 +81,8 @@
 
 	# asm5
 	$(MKDIR) $(AJ_ASM_HOME)
-	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.4.jar
-	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.4.renamed.jar
+	$(LN_S) /usr/share/java/asm.jar $(AJ_ASM_HOME)/asm-5.0.4.jar
+	$(LN_S) /usr/share/java/asm.jar $(AJ_ASM_HOME)/asm-5.0.4.renamed.jar
 
 	# regexp
 	$(MKDIR) lib/regexp
