## aspectj 1.9.1

=== debian/changelog ===
aspectj (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Build depend on libaspectj-java (>= 1.9.0~beta5-1)
    - Build depend on libasm-java (>= 6.1)
    - Build with default-jdk (Closes: #873213)
  * Replaced Damien Raude-Morvan as uploader

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Sep 2018 12:31:17 +0200

aspectj (1.9.0~beta5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Depend on the updated Eclipse packages
    - Modified debian/orig-tar.sh to ignore org.eclipse.jdt.core/src/
    - Updated the symlinks for ASM in debian/rules
  * Temporarily build with openjdk-8-jdk
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Sep 2018 01:41:41 +0200
