## aspectj 1.9.1+really1.9.0~beta5

=== debian/changelog ===
aspectj (1.9.1+really1.9.0~beta5-1ubuntu1) cosmic; urgency=medium

  * Revert to 1.9.0~beta5-1 to bootstrap

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Oct 2018 02:55:13 -0400
