=== debian/control ===
--- 
+++ 
@@ -1,34 +1,50 @@
 Source: aspectj
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: ant, ant-optional, cdbs, debhelper (>= 9), default-jdk
-Build-Depends-Indep: default-jdk-doc,
-                     docbook-to-man,
-                     docbook-xml,
-                     docbook-xsl,
-                     eclipse-platform (>= 3.4.1),
-                     html2text,
-                     junit (>= 3.8.1),
-                     libasm-java (>= 5.0),
-                     libasm-java-doc,
-                     libaspectj-java,
-                     libcommons-logging-java,
-                     libregexp-java,
-                     libxalan2-java,
-                     maven-repo-helper,
-                     xsltproc
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/aspectj.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/aspectj.git
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper (>= 11~),
+ default-jdk,
+ docbook-to-man,
+ docbook-xml,
+ docbook-xsl,
+ html2text,
+ junit (>= 3.8.1),
+ libasm-java (>= 5.0),
+ libasm-java-doc,
+ libaspectj-java,
+ libcommons-logging-java,
+ libequinox-app-java,
+ libequinox-common-java,
+ libequinox-registry-java,
+ libequinox-preferences-java,
+ libeclipse-core-contenttype-java,
+ libeclipse-core-filesystem-java,
+ libeclipse-core-jobs-java,
+ libeclipse-core-resources-java,
+ libeclipse-core-runtime-java,
+ libeclipse-osgi-java,
+ libeclipse-text-java,
+ libregexp-java,
+ libxalan2-java,
+ maven-repo-helper,
+ openjdk-8-jdk,
+ xsltproc
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/aspectj.git
+Vcs-Browser: https://salsa.debian.org/java-team/aspectj
 Homepage: http://www.eclipse.org/aspectj
 
 Package: aspectj
 Architecture: all
-Depends: default-jre-headless | java7-runtime-headless,
-         libaspectj-java (= ${source:Version}),
-         ${misc:Depends}
+Depends:
+ default-jre-headless | java8-runtime-headless,
+ libaspectj-java (= ${source:Version}),
+ ${misc:Depends}
 Description: aspect-oriented extension for Java - tools
  AspectJ enables the clean modularization of crosscutting concerns
  such as: error checking and handling, synchronization, context-sensitive
