=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export JAVA_HOME=/usr/lib/jvm/default-java/
+export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(shell dpkg-architecture -qDEB_HOST_ARCH)/
 
 VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')
 
@@ -24,8 +25,8 @@
 
 	# asm5
 	mkdir -p lib/asm
-	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-6.1.1.jar
-	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-6.1.1.renamed.jar
+	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.jar
+	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.renamed.jar
 
 	# regexp
 	mkdir -p lib/regexp
