## aspectj 1.9.2~rc2

=== debian/changelog ===
aspectj (1.9.2~rc2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #909251)
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 18:07:20 +0200
