## aspectj 1.9.2

=== debian/changelog ===
aspectj (1.9.2-2) unstable; urgency=medium

  * Team upload.
  * Improved the reproducibility by using an UTC timestamp in Version.java
  * Track and download the new releases from GitHub
  * Removed the -java-doc package
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Converted debian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 Jan 2021 17:08:44 +0100

aspectj (1.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the symlinks for ASM in debian/rules

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Jan 2019 13:08:13 +0100
