=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: aspectj
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Damien Raude-Morvan <drazzib@debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  default-jdk,
  docbook-to-man,
  docbook-xml,
  docbook-xsl,
  html2text,
  junit (>= 3.8.1),
- libasm-java (>= 5.0),
- libasm-java-doc,
- libaspectj-java,
+ libasm-java (>= 6.1),
+ libaspectj-java (>= 1.9.0~beta5-1~),
  libcommons-logging-java,
  libequinox-app-java,
  libequinox-common-java,
@@ -32,9 +30,8 @@
  libregexp-java,
  libxalan2-java,
  maven-repo-helper,
- openjdk-8-jdk,
  xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/aspectj.git
 Vcs-Browser: https://salsa.debian.org/java-team/aspectj
 Homepage: http://www.eclipse.org/aspectj
@@ -71,7 +68,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libaspectj-java-doc
 Description: aspect-oriented extension for Java - documentation
  AspectJ enables the clean modularization of crosscutting concerns
  such as: error checking and handling, synchronization, context-sensitive
@@ -80,19 +76,3 @@
  .
  This package provides AspectJ Programming Guide, Diagnosis Guide and
  Development Environment Guide and Development Kit Developer's Notebook.
-
-Package: libaspectj-java-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Recommends: default-jdk-doc, libasm-java-doc
-Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
-Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
-Suggests: aspectj-doc
-Description: aspect-oriented extension for Java - API documentation
- AspectJ enables the clean modularization of crosscutting concerns
- such as: error checking and handling, synchronization, context-sensitive
- behavior, performance optimizations, monitoring and logging, debugging
- support, multi-object protocols.
- .
- This package provides the Javadoc of JAR libraries of aspectj.
