=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export JAVA_HOME=/usr/lib/jvm/default-java/
-export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(shell dpkg-architecture -qDEB_HOST_ARCH)/
 
 VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')
 
@@ -25,8 +24,8 @@
 
 	# asm5
 	mkdir -p lib/asm
-	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.jar
-	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.renamed.jar
+	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-7.0-beta.20181001.jar
+	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-7.0-beta.renamed.jar
 
 	# regexp
 	mkdir -p lib/regexp
@@ -50,7 +49,7 @@
 
 	# Build AspectJ
 	dh_auto_build -- -f debian/bootstrap.xml
-	dh_auto_build -- -f build/build.xml aspectj '-Dbuild.time=$(shell date '--date=@$(SOURCE_DATE_EPOCH)' +'%A %b %d, %Y at %H:%M:%S %Z')'
+	dh_auto_build -- -f build/build.xml aspectj '-Dbuild.time=$(shell date '--date=@$(SOURCE_DATE_EPOCH)' --utc +'%A %b %d, %Y at %H:%M:%S %Z')'
 
 override_dh_auto_install:
 	mh_installpom -plibaspectj-java -e$(VERSION) build/aspectjrt.pom
