=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/_/./g \
https://github.com/eclipse/org.aspectj/tags .*/V([\d_]+).tar.gz debian debian/orig-tar.sh
